Package org.eclipse.microprofile.rest.client.tck.interfaces

# Class MyJsonBContextResolver

java.lang.Object
org.eclipse.microprofile.rest.client.tck.interfaces.MyJsonBContextResolver

All Implemented Interfaces:
  `jakarta.ws.rs.ext.ContextResolver<jakarta.json.bind.Jsonb>`

public class MyJsonBContextResolver extends Object implements jakarta.ws.rs.ext.ContextResolver<jakarta.json.bind.Jsonb>

## Constructor Summary

Constructors
Constructor
Description
`MyJsonBContextResolver()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.json.bind.Jsonb`
`getContext(Class<?> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyJsonBContextResolver

public MyJsonBContextResolver()

## Method Details

### getContext

public jakarta.json.bind.Jsonb getContext(Class<?> type)

Specified by:
  `getContext` in interface `jakarta.ws.rs.ext.ContextResolver<jakarta.json.bind.Jsonb>`